QGIS Application - Bug report #10707
Renaming group item in composer legend resets all settings of sub items
2014-06-24 06:22 PM - Miroslav Umlauf

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19100
Description

When you set up your categorized legend in composer and all tens of items rewrite to text you like, put in proper order etc. and at the end
you find out you did typo in group name you are screwed. Renaming the group name resets all settings of sub items.

Affected 2.2 and master.

History

#1 - 2014-06-24 10:37 PM - Nyall Dawson
- Status changed from Open to Feedback

| can't reproduce this ... can you please post detailed steps on how to trigger this issue?

#2 - 2014-06-24 10:56 PM - Miroslav Umlauf
- File qgis_legend_03.png added
- File qgis_legend_01.png added
- File qgis_legend_02.png added

Sure, please find attached 3 new images.

#3 - 2014-06-25 03:50 AM - Giovanni Manghi

- Target version set to Version 2.4

- Priority changed from Normal to Severe/Regression

Nyall Dawson wrote:

| can't reproduce this ... can you please post detailed steps on how to trigger this issue?

Hi Nyall,

| can see the issue and confirm that QGIS down to 2.0.1 is affected, 1.8 wasn't.

Do you want me to do a little screencast?
#4 - 2014-06-25 05:13 PM - Nyall Dawson

Yes please - | still can't trigger this.

#5 - 2014-06-26 02:10 AM - Giovanni Manghi
- File desktop-cap-2014-06-26-1403773681.mp4 added

Nyall Dawson wrote:

Yes please - | still can't trigger this.

here it is

#6 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#7 - 2014-07-02 09:25 AM - Giovanni Manghi
- Status changed from Feedback to Open

#8 - 2014-10-03 07:12 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

this seems solved in the latest master.
